Subject: Linking problem with Internal function calls in a file
From: [email-masked] (Manmathan Muthukumarapillai)

3 Jul 1997 08:37:23 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01 (X11; I; SunOS 5.5.1 sun4m)
Original-To: [email-masked]
Original-Sender: [email-masked]

Hello Everybody,

Is it true that "ld" cannot link files correctly, if the files
have INTERNAL FUNCTION CALLS:
(ONLY the relocation of Internal Calls fails, the external calls
works fine)

I did a: "objdump --reloc --disassemble tstenv.obj" and got this
information:

.....
00000063 <G1BETAENV>:
  63:   52              pushl  %edx
  64:   89 fa           movl   %edi,%edx
  66:   8d 7a 10        leal   0x10(%edx),%edi
  69:   89 57 08        movl   %edx,0x8(%edi)
  6c:   e8 00 00 00 00  call   71 <G1BETAENV+e>
                        6d: DISP32      G10BETAENV+0xfffffd25
  71:   89 d7           movl   %edx,%edi
  73:   5a              popl   %edx
  74:   c3              ret
.....

I do not undestand the "+0xfffffd25", which should't be there.

The object file "tstenv.obj" is created by my own compiler.

Waiting for your help

Manmathan Muthukumarapillai / Mjolner Informatics
[email-masked]

---

*				BETA information Sources			*
*										*
* Mjolner Informatic			| Phone:  +45 8620 2000			*
* Science Park Aarhus			| Direct: +45 8620 2011 local 2570	*
* Gustav Wieds Vej 10			| Fax:    +45 8620 1222			*
* DK-8000, Aarhus C, Denmark		| E-mail: [email-masked]		*
* WWW:  http://www.mjolner.com  -and- http://www.daimi.aau.dk/~beta		*
* FAQ:  http://www.daimi.aau.dk/~beta/FAQ					*
* News: comp.lang.beta								*
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".